/**********************************************************************

   ̧ٖ  : ini.c

   ړI@@: ̧ق̕⏕֐

 **********************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <windows.h>
#include "ini.h"
#include "myfunc.h"

BOOL g_fUseAppDatDir = FALSE;

UINT GetIntegerFromINI(LPCTSTR lpAppName,LPCTSTR lpKeyName,INT nDefault)
{
	TCHAR szPath[MAX_PATH];
	if (!g_fUseAppDatDir)
		GetAppPathName(szPath,MAX_PATH*sizeof(TCHAR),INI_FILENAME);
	else
		GetAppDataPathName(szPath,MAX_PATH*sizeof(TCHAR),INI_APPDATADIR,INI_FILENAME,TRUE);
	return GetPrivateProfileInt(lpAppName,lpKeyName,nDefault,szPath);
}

DWORD GetStringFromINI(LPCTSTR lpAppName,LPCTSTR lpKeyName,LPCTSTR lpDefault,LPTSTR lpReturnedString,DWORD nSize)
{
	TCHAR szPath[MAX_PATH];
	if (!g_fUseAppDatDir)
		GetAppPathName(szPath,MAX_PATH*sizeof(TCHAR),INI_FILENAME);
	else
		GetAppDataPathName(szPath,MAX_PATH*sizeof(TCHAR),INI_APPDATADIR,INI_FILENAME,TRUE);
	return GetPrivateProfileString(lpAppName,lpKeyName,lpDefault,lpReturnedString,nSize,szPath);
}

BOOL WriteStringToINI(LPCTSTR lpAppName,LPCTSTR lpKeyName,LPCTSTR lpString)
{
	TCHAR szPath[MAX_PATH];
	if (!g_fUseAppDatDir)
		GetAppPathName(szPath,MAX_PATH*sizeof(TCHAR),INI_FILENAME);
	else
		GetAppDataPathName(szPath,MAX_PATH*sizeof(TCHAR),INI_APPDATADIR,INI_FILENAME,TRUE);
	return WritePrivateProfileString(lpAppName,lpKeyName,lpString,szPath);
}

BOOL WriteIntegerToINI(LPCTSTR lpAppName,LPCTSTR lpKeyName,UINT uInteger)
{
	TCHAR szPath[MAX_PATH];
	TCHAR szBuf[12];
	if (!g_fUseAppDatDir)
		GetAppPathName(szPath,MAX_PATH*sizeof(TCHAR),INI_FILENAME);
	else
		GetAppDataPathName(szPath,MAX_PATH*sizeof(TCHAR),INI_APPDATADIR,INI_FILENAME,TRUE);
	wsprintf(szBuf,"%d",uInteger);
	return WritePrivateProfileString(lpAppName,lpKeyName,szBuf,szPath);
}
